LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
RuleOperator.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::ucb
| Universal Content Broker interfaces.

## Constant Groups
constants | com::sun::star::ucb::RuleOperator
| These are the possible values for RuleTerm::RuleOperator.

## Variables
const short | CONTAINS = 1
| "Contains" - Object contains RuleTerm::Operand.
const short | CONTAINSNOT = 2
| "ContainsNot" - Object does not contain RuleTerm::Operand.
const short | GREATEREQUAL = 3
| "GreaterEqual" - Object is greater than or equal to RuleTerm::Operand.
const short | LESSEQUAL = 4
| "LessEqual" - Object is less than or equal to RuleTerm::Operand.
const short | EQUAL = 5
| "Equal" - Object is equal to RuleTerm::Operand.
const short | NOTEQUAL = 6
| "NotEqual" - Object is not equal to RuleTerm::Operand.
const short | VALUE_TRUE = 7
| "True" - Object has the value TRUE.
const short | VALUE_FALSE = 8
| "False" - Object has the value FALSE.